SoTextureCoordinateBundle(3)

NAME
SoTextureCoordinateBundle - The SoTextureCoordinateBundle class simplifies texture coordinate handling.

SYNOPSIS

#include <Inventor/bundles/SoTextureCoordinateBundle.h>

Inherits SoBundle.

  Public Member Functions
SoTextureCoordinateBundle (SoAction *const action, const SbBool forRendering, const SbBool setUpDefault=TRUE)
~SoTextureCoordinateBundle ()
SbBool needCoordinates (void) const
SbBool isFunction (void) const
const SbVec4f & get (const int index)
const SbVec4f & get (const SbVec3f &point, const SbVec3f &normal)
void send (const int index) const
void send (const int index, const SbVec3f &point, const SbVec3f &normal) const
SbBool needIndices (void) const

  Additional Inherited Members
Protected Member Functions inherited from SoBundle
SoBundle (SoAction *action)
~SoBundle ()
Protected Attributes inherited from SoBundle
SoState * state
The state of the current action.

Detailed Description

The SoTextureCoordinateBundle class simplifies texture coordinate handling. It is unlikely that application programmers should need to know how to use this class, as it is mostly intended for internal use.

Constructor & Destructor Documentation

  SoTextureCoordinateBundle::SoTextureCoordinateBundle (SoAction *const action, const SbBool forRendering, const SbBool setUpDefault = TRUE)
Constructor with action being the action applied to the node. The forRendering parameter must be TRUE if the bundle is to be used for sending texture coordinates to GL during rendering. The setUpDefault must be TRUE if default texture coordinates should be generated.

  SoTextureCoordinateBundle::~SoTextureCoordinateBundle ()
Destructor.

Member Function Documentation

  SbBool SoTextureCoordinateBundle::needCoordinates (void ) const
Returns TRUE if texture coordinates are needed during rendering.

  SbBool SoTextureCoordinateBundle::isFunction (void ) const
Returns TRUE if a texture coordinate function should be used.

  const SbVec4f & SoTextureCoordinateBundle::get (const int index)
Returns the texture coordinates at index index. Should only be used if SoTextureCoordinateBundle::isFunction() is FALSE.

  const SbVec4f & SoTextureCoordinateBundle::get (const SbVec3f & point, const SbVec3f & normal)
Returns the texture coordinates based on point and normal. Should only be used if SoTextureCoordinateBundle::isFunction() is TRUE.

  void SoTextureCoordinateBundle::send (const int index) const [inline]
Send texture coordinates to GL. Should only be used if SoTextureCoordinateBundle::isFunction() is FALSE.

  void SoTextureCoordinateBundle::send (const int index, const SbVec3f & point, const SbVec3f & normal) const [inline]
Convenience function that will make it transparent to the rendering code if ordinary texture coordinates or function texture coordinates are used.

  SbBool SoTextureCoordinateBundle::needIndices (void ) const
Returns TRUE if isFunction() is TRUE, but the texture coordinate indices are needed either by bump mapping or by one of the other texture units.

Since
    Coin 2.2

Author

Generated automatically by Doxygen for Coin from the source code.